Package org.apache.sling.testing.mock.osgi.junit5

# Annotation Type ConfigMap

@Retention(RUNTIME) @Target(PARAMETER) public @interface ConfigMap
Annotate a test parameter of type `Map` to inject a matching component property type or `ConfigType` after converting it to a map of config properties.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Class<?>`
`value`
Specify a matching config annotation type or `ConfigType.type()`.

## Element Details

### value

Class<?> value
Specify a matching config annotation type or `ConfigType.type()`. Array types are not supported.

Returns:
  the desired config type